﻿using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace LottoNumberBoard
{
    public partial class MainWindow : Window
    {
        private HashSet<int> selectedNumbers = new();

        public MainWindow()
        {
            InitializeComponent();
        }

        private void NumberButton_Click(object sender, RoutedEventArgs e)
        {
            if (sender is Button btn && int.TryParse(btn.Content.ToString(), out int number))
            {
                if (selectedNumbers.Contains(number))
                {
                    selectedNumbers.Remove(number);
                    btn.ClearValue(Button.BackgroundProperty);
                }
                else
                {
                    selectedNumbers.Add(number);
                    btn.Background = Brushes.LightGreen;
                }

                UpdateResultDisplay();
            }
        }

        private void UpdateResultDisplay()
        {
            var sorted = new List<int>(selectedNumbers);
            sorted.Sort();
            ResultTextBlock.Text = string.Join(", ", sorted);
        }
    }
}
